Ecosystems data
curl --request GET \
--url https://www.sharpe.ai/api/v1/ecosystems/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/ecosystems/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/ecosystems/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"ecosystems": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123,
"medianReturn1h": 123,
"medianReturn24h": 123,
"medianReturn7d": 123,
"medianReturn30d": 123,
"medianReturn200d": 123,
"medianReturn1y": 123,
"marketCap": 123,
"volume24h": 123,
"openInterest": 123,
"fundingRate": 123,
"mcapFdvRatio": 123,
"volMcapRatio": 123,
"oiMcapRatio": 123,
"tvl": 123,
"topCoin": {
"symbol": "<string>",
"image": "<string>",
"price": 123,
"return24h": 123
},
"coinCount": 123,
"marketShare": 123,
"momentumReturn": 123,
"sentiment": 123,
"mindshare": 123,
"watchlistUsers": 123
}
],
"totalEcosystemMcap": 123,
"updatedAt": "<string>",
"basePrices": {
"btc": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
},
"eth": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
},
"sol": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
}
},
"lastAttemptAt": "2023-11-07T05:31:56Z",
"status": "full",
"coverage": {
"expectedCount": 123,
"freshCount": 123,
"failedIds": [
"<string>"
],
"retainedPreviousAggregate": true
},
"totalEcosystemExposureMcap": 123,
"marketCapMethod": "eligible-home-chain-constituents",
"dominanceMethod": "<string>",
"marketCapCoinCount": 123
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Categories
Ecosystems data
Returns ecosystem-level market data (Ethereum, Solana, BNB, Arbitrum, Base, etc.) including market cap, volume, TVL, and performance metrics.
GET
/
v1
/
ecosystems
/
data
Ecosystems data
curl --request GET \
--url https://www.sharpe.ai/api/v1/ecosystems/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/ecosystems/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/ecosystems/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"ecosystems": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123,
"medianReturn1h": 123,
"medianReturn24h": 123,
"medianReturn7d": 123,
"medianReturn30d": 123,
"medianReturn200d": 123,
"medianReturn1y": 123,
"marketCap": 123,
"volume24h": 123,
"openInterest": 123,
"fundingRate": 123,
"mcapFdvRatio": 123,
"volMcapRatio": 123,
"oiMcapRatio": 123,
"tvl": 123,
"topCoin": {
"symbol": "<string>",
"image": "<string>",
"price": 123,
"return24h": 123
},
"coinCount": 123,
"marketShare": 123,
"momentumReturn": 123,
"sentiment": 123,
"mindshare": 123,
"watchlistUsers": 123
}
],
"totalEcosystemMcap": 123,
"updatedAt": "<string>",
"basePrices": {
"btc": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
},
"eth": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
},
"sol": {
"return1h": 123,
"return24h": 123,
"return7d": 123,
"return30d": 123,
"return200d": 123,
"return1y": 123
}
},
"lastAttemptAt": "2023-11-07T05:31:56Z",
"status": "full",
"coverage": {
"expectedCount": 123,
"freshCount": 123,
"failedIds": [
"<string>"
],
"retainedPreviousAggregate": true
},
"totalEcosystemExposureMcap": 123,
"marketCapMethod": "eligible-home-chain-constituents",
"dominanceMethod": "<string>",
"marketCapCoinCount": 123
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

